[26736] in Source-Commits

home help back first fref pref prev next nref lref last post

/svn/athena r25718 - trunk/debathena/config/dns-config/debian

daemon@ATHENA.MIT.EDU (Jonathan D Reed)
Tue Aug 14 13:41:35 2012

Date: Tue, 14 Aug 2012 13:41:33 -0400
From: Jonathan D Reed <jdreed@MIT.EDU>
Message-Id: <201208141741.q7EHfXg9027592@drugstore.mit.edu>
To: source-commits@MIT.EDU
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Author: jdreed
Date: 2012-08-14 13:41:33 -0400 (Tue, 14 Aug 2012)
New Revision: 25718

Modified:
   trunk/debathena/config/dns-config/debian/changelog
   trunk/debathena/config/dns-config/debian/control.in
   trunk/debathena/config/dns-config/debian/debathena-dns-config.postinst
Log:
In dns-config:
  * Conflict bind9


Modified: trunk/debathena/config/dns-config/debian/changelog
===================================================================
--- trunk/debathena/config/dns-config/debian/changelog	2012-08-09 17:02:13 UTC (rev 25717)
+++ trunk/debathena/config/dns-config/debian/changelog	2012-08-14 17:41:33 UTC (rev 25718)
@@ -6,8 +6,9 @@
   * Use IFACE.PROG format for the resolvconf profile
   * Bump Standards-Version
   * Make initscript LSB-compliant
+  * Conflict bind9
 
- -- Jonathan Reed <jdreed@mit.edu>  Mon, 30 Jul 2012 15:35:07 -0400
+ -- Jonathan Reed <jdreed@mit.edu>  Tue, 14 Aug 2012 12:51:04 -0400
 
 debathena-dns-config (1.6) unstable; urgency=low
 

Modified: trunk/debathena/config/dns-config/debian/control.in
===================================================================
--- trunk/debathena/config/dns-config/debian/control.in	2012-08-09 17:02:13 UTC (rev 25717)
+++ trunk/debathena/config/dns-config/debian/control.in	2012-08-14 17:41:33 UTC (rev 25718)
@@ -8,6 +8,7 @@
 Package: debathena-dns-config
 Architecture: all
 Depends: dnsmasq, resolvconf, ${misc:Depends}
+Conflicts: bind9
 Description: Sets up a local caching nameserver using dnsmasq
  This package sets up a local caching nameserver for better DNS lookup
  security and scalability than we can get by using the MIT resolvers

Modified: trunk/debathena/config/dns-config/debian/debathena-dns-config.postinst
===================================================================
--- trunk/debathena/config/dns-config/debian/debathena-dns-config.postinst	2012-08-09 17:02:13 UTC (rev 25717)
+++ trunk/debathena/config/dns-config/debian/debathena-dns-config.postinst	2012-08-14 17:41:33 UTC (rev 25718)
@@ -22,10 +22,20 @@
 
 case "$1" in
     configure)
-	# Don't try to figure out what the network config is, because
-	# it's more complicated than we think.  Just reboot.
-        if [ -x /usr/share/update-notifier/notify-reboot-required ]; then
-            /usr/share/update-notifier/notify-reboot-required
+	if hash invoke-rc.d 2>/dev/null; then
+	    invoke-rc.d dnsmasq restart || true
+	    invoke-rc.d debathena-dns-config restart
+	else
+	    /etc/init.d/dnsmasq restart || true
+	    /etc/init.d/debathena-dns-config restart
+	fi
+	if ! grep -q '^nameserver' /etc/resolv.conf; then
+	    # Don't leave people without a nameserver
+	    /bin/echo -e "nameserver 18.70.0.160\nnameserver 18.71.0.151" | /sbin/resolvconf -a lo.dns-config
+	fi
+	if [ -x /usr/share/update-notifier/notify-reboot-required ]; then
+	    /usr/share/update-notifier/notify-reboot-required
+	fi
     ;;
 
     abort-upgrade|abort-remove|abort-deconfigure)


home help back first fref pref prev next nref lref last post